package de.hdm_stuttgart.mi.exam.unitmarking;

import org.junit.runner.JUnitCore;

public class RunTests {
   
   static public final MarkingListener markingListener = new MarkingListener();
   
   @SafeVarargs
   public static void exec(Class<? extends Object> ... classz) {
      
      final JUnitCore jc = new JUnitCore();
      jc.addListener(markingListener);
      
      System.setOut(DummyPrintStream.out);
      jc.run(classz);
      System.setOut(DummyPrintStream.systemDotOut);
      System.out.println(RunTests.getMarking());
    }
    static public String getMarking() {
       return markingListener.getPointSumms();
    }
    
}
